# Part 1: Starting a Project

## Step 1: Logging into Monaca

1. Login to [Monaca](https://monaca.mobi/en/login).
2. Enter your Monaca account information.

![](/files/-MfWjjgAIt9fhrruP2ju)

## Step 2: Creating a new project

After successfully signing in, you will be redirected to the Monaca dashboard. There you can create your first Monaca project. Do the following:

1. From the Monaca dashboard, choose **Create Project** or **Import** to create a new Monaca project. If you select **Create Project**, you can create a new project based on various templates or from scratch. If you choose **Import**, you can create a new project from an existing Cordova/Monaca project in a few of different ways:
   * import from URL (zip file)&#x20;
   * upload a project (zip file)
   * import from a Git repository (see [Git SSH Integration](/products_guide/monaca_ide/version_control/git_ssh_integration.md))
   * import from an existing GitHub repository (see [GitHub Integration](/products_guide/monaca_ide/version_control/github_integration.md)).

![Import a project dialog](/files/-MfWkQUXXzVI6qG__Ezo)

![Create a project dialog](/files/-MgKDAGeZ2uaRnUogCtj)

2\. For this tutorial, we will choose the **Create Project** option. In the `Create Project` dialog, under `Sample Applications`, select the **jQuery TODO App** template by clicking its **Create New** button.

3\. Click the **Make Project** button.

![](/files/-MgKDVBqzrGKJPVzkyAY)

4\. You will then see the newly created project listed under the `Online` tab of the dashboard.

## Step 3: Previewing a project

Monaca Cloud IDE allows you to preview your project through a preview window without a mobile device.

{% hint style="info" %}
Some functionalities might not be previewed properly because the preview window has several limitations on Ajax requests, Cordova plugin APIs, etc. For the full list of limitations, please refer to [Usage and limitations of Live Preview](/products_guide/monaca_ide/overview.md#previewer-limitations).
{% endhint %}

1. From the Monaca Dashboard, open the project we just created. The Monaca Cloud IDE will open. The preview window is at the right side of the IDE by default.

![](/files/-MgKDmwlc0FmNxzhKm0w)

2\. Try adding some TODO items in the preview window.

![](/files/-MgKDpy3K-ThPlaXhziY)

## Step 4: Editing a project

{% hint style="info" %}
&#x20;All editable files are listed under the `www` folder.&#x20;
{% endhint %}

1. From the `File Tree` panel, choose a file to edit. Make some changes in the `index.html` file using the code editor. For example, change the title of the app.
2. Save the changes. You will be able to see the updates instantly in the preview window. Feel free to edit the project as you wish. For a more detailed explanation about this template, please refer to [jQuery TODO App](/sampleapp/samples/todo.md).

{% hint style="info" %}
For more information regarding the code editor in the Monaca Cloud IDE, please refer to [Code editor](/products_guide/monaca_ide/overview.md#code-editor).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://en.docs.monaca.io/tutorials/monaca_ide/starting_project.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
